Subject: Re: Direct IO Access with cygwin32?
From: [email-masked] (Geoffrey Brown)

9 Oct 1997 22:46:39 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
To: [email-masked] (Josef Wolf), [email-masked]

It's a pleasure for once to have an opportunity to answer rather than
ask questions on this list.  Direct I/O on NT and Windows 95 boxes
is not just a gcc problem.  NT does not support direct I/O without 
a device driver -- a significant development effort.  There are
a couple of "generic" device drivers available commercially (there
was one distributed freely for non-comercial use, but I've lost that
link).  I've used one from Bluewater systems with reasonable success.  
On windows 95 there is not as much protection placed in your way by the OS, 
but the best solution is still a Vxd  (a device driver).  Again, I'd
use a commercial driver.  If you want a real adventure, you could get
the DDK from microsoft (by subscribing to their technical support).  I
wouldn't recommend that path for your application.

Geoffrey

At 10:13 PM 10/7/97 +0200, Josef Wolf wrote:
>Hello!
>
>I have read through the FAQ and through the archives of the cygwin-list but
>could not find an answer to my problem.
>
>I need to do some direct IO access (drive an EPROM programmer over the
>printer port). The only hint I could find in the archive was a question
>about the function DirectIoControl().
>
>Could someone point me to documentation (or some example code) which
>describes how direct IO access is to be done?
>
>Thanks in Advance!
>-
>For help on using this list (especially unsubscribing), send a message to
>"[email-masked]" with one line of text: "help".
>
------------------------------------------------------------------------

Geoffrey Brown
Research Scientist
HP Labs Cambridge
1 Main Street 10th Floor
Cambridge, MA 02142

(617) 679-9338
(617) 679-9330 (fax)
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".